package com.zd.exam.service;

import com.zd.exam.domain.ElUserCert;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 用户考试获取的证书Service接口
 *
 * @author zd
 * @date 2021-09-13
 */
public interface IElUserCertService {
    /**
     * 查询用户考试获取的证书
     *
     * @param id 用户考试获取的证书主键
     * @return 用户考试获取的证书
     */
    public ElUserCert selectElUserCertById(Long id);

    /**
     * 查询用户考试获取的证书列表
     *
     * @param elUserCert 用户考试获取的证书
     * @return 用户考试获取的证书集合
     */
    public List<ElUserCert> selectElUserCertList(ElUserCert elUserCert);

    /**
     * 新增用户考试获取的证书
     *
     * @param elUserCert 用户考试获取的证书
     * @return 结果
     */
    public ElUserCert insertElUserCert(ElUserCert elUserCert, HttpServletRequest request);

    /**
     * 修改用户考试获取的证书
     *
     * @param elUserCert 用户考试获取的证书
     * @return 结果
     */
    public int updateElUserCert(ElUserCert elUserCert);

    /**
     * 批量删除用户考试获取的证书
     *
     * @param ids 需要删除的用户考试获取的证书主键集合
     * @return 结果
     */
    public int deleteElUserCertByIds(Long[] ids);

    /**
     * 删除用户考试获取的证书信息
     *
     * @param id 用户考试获取的证书主键
     * @return 结果
     */
    public int deleteElUserCertById(Long id);

    void insertOrUpdateBatchElUserCert(Long examId);

    List<ElUserCert> queryMyCert(ElUserCert userCert);
}
